Bug 225328 - Deduplicate bugzilla users for mailing lists
Summary: Deduplicate bugzilla users for mailing lists
Status: Closed FIXED
Alias: None
Product: Services
Classification: Unclassified
Component: Bug Tracker (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Only Me
Assignee: Oleksandr Tymoshenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-19 22:00 UTC by Jan Beich
Modified: 2020-01-14 19:45 UTC (History)
3 users (show)

See Also:


Attachments
freebsd-aliases.txt (4.34 KB, text/plain)
2018-03-07 21:21 UTC, Oleksandr Tymoshenko
no flags Details
mailing lists rename log (8.06 KB, text/plain)
2018-04-05 22:06 UTC, Oleksandr Tymoshenko
no flags Details
mailing lists users dedublication log (3.71 KB, text/plain)
2018-04-05 22:39 UTC, Oleksandr Tymoshenko
no flags Details
Affected named queries (215 bytes, text/plain)
2018-04-05 22:53 UTC, Oleksandr Tymoshenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-01-19 22:00:40 UTC
When CC'ing or changing Assignee it's easy to forget freebsd- prefix only makes sense for categorizing lists on a mailman instance. FreeBSD Ports doesn't use freebsd- prefix in MAINTAINER field. However, if both variants end up CC'd on a bug such a list receives duplicate mails e.g.,

https://lists.freebsd.org/pipermail/freebsd-haskell/2018-January/000077.html
https://lists.freebsd.org/pipermail/freebsd-haskell/2018-January/000078.html
Comment 1 Jan Beich freebsd_committer 2018-01-19 22:06:32 UTC
One way to fix this would be to merge users e.g., freebsd-haskell@ into haskell@. This assumes regular users cannot register a mailing lists with freebsd- prefix again.
Comment 2 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-03-07 21:21:32 UTC
Created attachment 191288 [details]
freebsd-aliases.txt
Comment 3 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-03-07 22:53:11 UTC
I collected some statistics for duplicated group emails. There are 109 "freebsd-" user, 48 of them has a bare counterpart. Merging/rename one way or another is not a problem, we just need to decide which way to go: with bare names or with "freebsd-" prefixes.

IMO freebsd- prefix is preferable since it clearly marks group aliases.  AutoAssigner logic can be modified to check for the existence of freebsd-${MAINTAINER} user. I am not sure if it has any significance in day-to-day operations of ports committers. Jan, would there be any major difference if all users would be prefixed?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-09 04:56:53 UTC
I'm: +1 the *un*-prefixed usernames, for the MAINTAINER=<barename> reason, reduced complexity/cases for auto-assigner, and because accounts can have a 'realname' for user friendliness, that can also serve to clarify that something is or isn't a mailing list (if necessary).

I think the latter is handy in the non-autoassigned-case if/when someone doesn't want to spam a list. Seeing 'mailing list' in the realname on autocompleting the address can prevent doing that, either accidentally or otherwise.
Comment 5 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-03-09 06:54:39 UTC
(In reply to Kubilay Kocak from comment #4)

OK, unprefixed it is then. For me is fine either way. I will run merge/rename script and modify extensions to work with non-prefixed versions in next few days
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-09 11:09:18 UTC
(In reply to Oleksandr Tymoshenko from comment #5)

What extension changes are needed for unprefixed versions?
Comment 7 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-03-09 11:33:17 UTC
(In reply to Kubilay Kocak from comment #6)

extensions/Dashboard/lib/Util.pm
extensions/BFBSD/Extension.pm
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-09 11:48:42 UTC
(In reply to Oleksandr Tymoshenko from comment #7)

Ergh, I didn't realise/remember:

 - Add freebsd-$arch for arch specific ports tickets (Bug 196909)

For 'commit_ports_bugs' & 'new_ports_bugs' subroutines, is ports-bugs@ a (valid/working) alias for freebsd-ports bugs? If so, I didnt know :)

Are aliases for lists mentioned/listed anywhere, or is it implicit that all freebsd-*@ lists support the prefixless form?
Comment 9 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-03-11 21:10:36 UTC
(In reply to Kubilay Kocak from comment #8)

Yes, ports-bugs seems t obe the right mail address. There is bug #221218 requesting to prohibit ports@ being added to Cc/Assignee. 

I am fairly sure that freebsd- prefix is optional for all mailing lists. Otherwise prefix-less form wouldn't be used in MAINTAINER field unconditionally.
Comment 10 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-05 19:31:17 UTC
As the first stage of de-duplication, I manually merged all freebsd-NNN@FreeBSD.org users that were obvious typos during responsible changes, cross-referencing with GNATS database to check who was the actual assignee.  

freebsd-anholt@FreeBSD.org => anholt@FreeBSD.org
freebsd-x22@FreeBSD.org => freebsd-x11@FreeBSD.org
freebsd-x1@FreeBSD.org => freebsd-x11@FreeBSD.org
freebsd-ports_bugs@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-bgus@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-vugs@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-usbugs@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-s@FreeBSD.org => freebsd-fs@FreeBSD.org
freebsd-j@FreeBSD.org => freebsd-net@FreeBSD.org
freebsd-ports-bugsv@FreeBSD.org => pav@FreeBSD.org
freebsd-bugss@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-p@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-vwe@FreeBSD.org => vwe@FreeBSD.org
freebsd-thread@FreeBSD.org => freebsd-threads@FreeBSD.org
freebsd-ifpw@FreeBSD.org => freebsd-ipfw@FreeBSD.org
freebsd-sound@FreeBSD.org => sound@FreeBSD.org
freebsd-autotools@FreeBSD.org => autotools@FreeBSD.org
freebsd-emulators@FreeBSD.org => emulation@FreeBSD.org
freebsd-eom@FreeBSD.org => freebsd-geom@FreeBSD.org
freebsd-ipf@FreeBSD.org => freebsd-ipfw@FreeBSD.org
freebsd-kern@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-port-bugs@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-ports-bus@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-ports-bug@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-bugs-ports@FreeBSD.org => freebsd-docs@FreeBSD.org
freebsd-bugs-ports@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-buds@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-portsbugs@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-ports-usb@FreeBSD.org => freebsd-usb@FreeBSD.org
freebsd-ports-pr@FreeBSD.org => freebsd-ports-bugs@FreeBSD.org
freebsd-ports-qa@FreeBSD.org => freebsd-qa@FreeBSD.org
freebsd-bin@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-sparc@FreeBSD.org => freebsd-sparc64@FreeBSD.org
freebsd-misc@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-cvs@FreeBSD.org => cvs@FreeBSD.org
freebsd-ahci@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-conf@FreeBSD.org => freebsd-bugs@FreeBSD.org
freebsd-docs@FreeBSD.org => freebsd-doc@FreeBSD.org
Comment 11 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-05 22:06:48 UTC
Created attachment 192259 [details]
mailing lists rename log

Logs for renaming all mailing lists users, both with freebsd- prefix and without to "freebsd-nnn mailing list"
Comment 12 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-05 22:39:21 UTC
Created attachment 192261 [details]
mailing lists users dedublication log

Log of merges/renames for mailing lists users. Both for currently active and closed mailing lists. This does not include mail aliases.
Comment 13 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-05 22:42:07 UTC
This is deduplication log for mailing aliases on freefall (not valid mailman lists)

merge freebsd-horde@FreeBSD.org horde@FreeBSD.org
merge freebsd-kde@FreeBSD.org kde@FreeBSD.org
merge freebsd-pgsql@FreeBSD.org pgsql@FreeBSD.org
merge freebsd-portmgr@FreeBSD.org portmgr@FreeBSD.org
merge freebsd-vbox@FreeBSD.org vbox@FreeBSD.org
rename freebsd-powerpc@FreeBSD.org powerpc@FreeBSD.org
Comment 14 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-05 22:53:19 UTC
Created attachment 192262 [details]
Affected named queries

List of named queries that contained freebsd-nnn form of an email. As the final step, they were converted to using a prefixless version of an email.
Comment 15 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-05 22:54:47 UTC
At this point, de-duplication is finished. I'll keep this issue open for some time in case there is fallout from the conversion.
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-09 10:30:15 UTC
Champion!

Just to clarify (for our future selves / others), that accounts that had realnames set (such as python@f.o, as "FreeBSD Python Team") have had their realnames reset to "<foo> mailing-list". They can / will need to be updated to their 'user friendly' names again, in particular for the "FreeBSD Foo Team" cases
Comment 17 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-16 21:42:34 UTC
Closing as fixed. Real name changes for mailing lists will be handled separately
Comment 18 dennis538 2020-01-14 19:45:38 UTC
MARKED AS SPAM